BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/translate
postTeam ChatAdmin BFF

/bff/team-chat/translate

Gemini through the private team chat AI path: the text is never logged or written to ai__question. Cached 24 h in Redis. Max 120 per member per hour.

Team chatpostBffTeam-chatTranslate

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
messageIdstringRequired

24-char message id.

Length: 24–24
locale"cs" | "sk" | "en" | "de" | "pl" | "it"Required

Response schema

1 status code documented

200Success
textstringRequired
sourceLanguagestringRequired
sameLanguagebooleanRequired

Response example

application/json
{
  "text": "example_text",
  "sourceLanguage": "example_sourceLanguage",
  "sameLanguage": false
}

Request example

POST /bff/team-chat/translate

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/translate" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "messageId": "example_messageId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key